> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch comment 

> update record comment



## OpenAPI

````yaml /swagger.json patch /comment/{tableId}/{recordId}/{commentId}
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
paths:
  /comment/{tableId}/{recordId}/{commentId}:
    patch:
      tags:
        - comment
      description: update record comment
      parameters:
        - schema:
            type: string
          required: true
          name: tableId
          in: path
        - schema:
            type: string
          required: true
          name: recordId
          in: path
        - schema:
            type: string
          required: true
          name: commentId
          in: path
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                content:
                  type: array
                  items:
                    anyOf:
                      - type: object
                        properties:
                          type:
                            type: string
                            enum:
                              - p
                          value:
                            nullable: true
                          children:
                            type: array
                            items:
                              anyOf:
                                - type: object
                                  properties:
                                    type:
                                      type: string
                                      enum:
                                        - span
                                    value:
                                      type: string
                                  required:
                                    - type
                                    - value
                                - type: object
                                  properties:
                                    type:
                                      type: string
                                      enum:
                                        - mention
                                    value:
                                      type: string
                                    name:
                                      type: string
                                    avatar:
                                      type: string
                                  required:
                                    - type
                                    - value
                                - type: object
                                  properties:
                                    type:
                                      type: string
                                      enum:
                                        - a
                                    value:
                                      nullable: true
                                    url:
                                      type: string
                                    title:
                                      type: string
                                  required:
                                    - type
                                    - url
                                    - title
                        required:
                          - type
                          - children
                      - type: object
                        properties:
                          type:
                            type: string
                            enum:
                              - img
                          value:
                            nullable: true
                          path:
                            type: string
                          width:
                            type: number
                          url:
                            type: string
                        required:
                          - type
                          - path
              required:
                - content
      responses:
        '200':
          description: Successfully update comment.
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request PATCH \
              --url https://app.teable.ai/api/comment/%7BtableId%7D/%7BrecordId%7D/%7BcommentId%7D \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
              --header 'content-type: application/json' \
              --data '{"content":[{"type":"p","value":null,"children":[{"type":"span","value":"string"}]}]}'
        - lang: JavaScript
          source: >-
            const url =
            'https://app.teable.ai/api/comment/%7BtableId%7D/%7BrecordId%7D/%7BcommentId%7D';

            const options = {
              method: 'PATCH',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN',
                'content-type': 'application/json'
              },
              body: '{"content":[{"type":"p","value":null,"children":[{"type":"span","value":"string"}]}]}'
            };


            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: |-
            const http = require('https');

            const options = {
              method: 'PATCH',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/comment/%7BtableId%7D/%7BrecordId%7D/%7BcommentId%7D',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN',
                'content-type': 'application/json'
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.write(JSON.stringify({
              content: [{type: 'p', value: null, children: [{type: 'span', value: 'string'}]}]
            }));
            req.end();
        - lang: Python
          source: >-
            import http.client


            conn = http.client.HTTPSConnection("app.teable.ai")


            payload =
            "{\"content\":[{\"type\":\"p\",\"value\":null,\"children\":[{\"type\":\"span\",\"value\":\"string\"}]}]}"


            headers = {
                'Authorization': "Bearer REPLACE_BEARER_TOKEN",
                'content-type': "application/json"
            }


            conn.request("PATCH",
            "/api/comment/%7BtableId%7D/%7BrecordId%7D/%7BcommentId%7D",
            payload, headers)


            res = conn.getresponse()

            data = res.read()


            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````